package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 常用问答管理表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpYypzFaqManagementService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpYypzFaqManagement(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzFaqManagementMapper.addSDtpYypzFaqManagement", pd);
    }

    public List<PageData> findSDtpYypzFaqManagementList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpYypzFaqManagementMapper.selectSDtpYypzFaqManagementList", pd);
    }

    public Integer SDtpYypzFaqManagementRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpYypzFaqManagementMapper.SDtpYypzFaqManagementRemove", pd);
    }


    public Integer updateSDtpYypzFaqManagement(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzFaqManagementMapper.updateSDtpYypzFaqManagement", pd);
    }

}
